package com.ruoyi.activiti.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核评分审批对象 biz_credit_report
 * 
 * @author ruoyi
 * @date 2021-11-24
 */
public class BizCreditReport extends ProcessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 申请人ID */
    @Excel(name = "申请人ID")
    private String applyUserId;

    /** 申请人code */
    @Excel(name = "申请人code")
    private String applyUserName;

    /** 申请人昵称 */
    @Excel(name = "申请人昵称")
    private String applyUserNickName;

    /** 申请人部门ID */
    @Excel(name = "申请人部门ID")
    private Long applyDeptId;

    /** 申请人部门名称 */
    @Excel(name = "申请人部门名称")
    private String applyDeptName;

    /** 板块类型 */
    @Excel(name = "板块类型")
    private String busiType;

    /** 报送ID */
    @Excel(name = "报送ID")
    private String reportId;

    /** 报送类型 */
    @Excel(name = "报送类型")
    private String reportType;

    /** 报送年月 */
    @Excel(name = "报送年月")
    private String reportCode;

    /** 报送状态 */
    @Excel(name = "报送状态")
    private String reportStatus;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 流程实例ID */
    @Excel(name = "流程实例ID")
    private String instanceId;

    /** 流程定义key */
    @Excel(name = "流程定义key")
    private String processKey;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setApplyUserId(String applyUserId) 
    {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserId() 
    {
        return applyUserId;
    }
    public void setApplyUserName(String applyUserName) 
    {
        this.applyUserName = applyUserName;
    }

    public String getApplyUserName() 
    {
        return applyUserName;
    }
    public void setApplyUserNickName(String applyUserNickName) 
    {
        this.applyUserNickName = applyUserNickName;
    }

    public String getApplyUserNickName() 
    {
        return applyUserNickName;
    }
    public void setApplyDeptId(Long applyDeptId) 
    {
        this.applyDeptId = applyDeptId;
    }

    public Long getApplyDeptId() 
    {
        return applyDeptId;
    }
    public void setApplyDeptName(String applyDeptName) 
    {
        this.applyDeptName = applyDeptName;
    }

    public String getApplyDeptName() 
    {
        return applyDeptName;
    }
    public void setBusiType(String busiType) 
    {
        this.busiType = busiType;
    }

    public String getBusiType() 
    {
        return busiType;
    }
    public void setReportId(String reportId)
    {
        this.reportId = reportId;
    }

    public String getReportId()
    {
        return reportId;
    }

    public String getReportType() {
        return reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    public void setReportCode(String reportCode) 
    {
        this.reportCode = reportCode;
    }

    public String getReportCode() 
    {
        return reportCode;
    }
    public void setReportStatus(String reportStatus) 
    {
        this.reportStatus = reportStatus;
    }

    public String getReportStatus() 
    {
        return reportStatus;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setFinishTime(Date finishTime) 
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime() 
    {
        return finishTime;
    }
    public void setInstanceId(String instanceId) 
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId() 
    {
        return instanceId;
    }
    public void setProcessKey(String processKey) 
    {
        this.processKey = processKey;
    }

    public String getProcessKey() 
    {
        return processKey;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("applyUserId", getApplyUserId())
            .append("applyUserName", getApplyUserName())
            .append("applyUserNickName", getApplyUserNickName())
            .append("applyDeptId", getApplyDeptId())
            .append("applyDeptName", getApplyDeptName())
            .append("busiType", getBusiType())
            .append("reportId", getReportId())
            .append("reportCode", getReportCode())
            .append("reportStatus", getReportStatus())
            .append("applyTime", getApplyTime())
            .append("finishTime", getFinishTime())
            .append("instanceId", getInstanceId())
            .append("processKey", getProcessKey())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
